#!/usr/bin/env php
<?php
use Everyman\Neo4j\Client,
	Everyman\Neo4j\Index\NodeIndex,
	Everyman\Neo4j\Relationship,
	Everyman\Neo4j\Node;

die("Please, edit the code and point the path below to neo4jphp/examples/ directory.\n Then, remove this die(); \n\n");
require 'YOUR_PATH_HERE'.'/neo4jphp-master/examples/example_bootstrap.php';




$client = new Client();

$grandfather = $client->makeNode()->setProperty('name', 'grandfather')->setProperty('sweet',true)->save();
$father = $client->makeNode()->setProperty('name', 'father')->setProperty('age', 40.2323)->save();
$son = $client->makeNode()->setProperty('name', 'son')->save();
$daughter = $client->makeNode()->setProperty('name', 'daughter')->save();

$grandfather->relateTo($father, 'HAD')->save();
$father->relateTo($son, 'HAD')->save();
$father->relateTo($daughter, 'HAD')->setProperty('type', 'biological')->save();

?>